animationSystem.cameraSpring.use 1
animationSystem.cameraSpring.amplitude 0.02/0.02/0.02
animationSystem.cameraSpring.zoomDamping 2.9/2.9/0
animationSystem.cameraSpring.stiffness 10/10/10
animationSystem.cameraSpring.move 2/2/2
animationSystem.cameraSpring.look 1/1
animationSystem.cameraSpring.fire 0/0/600

rem *** Animations ***
animationSystem.createAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_deploy.baf
animationManager.looping 0
animationSystem.createAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_fire.baf
animationManager.looping 0
animationManager.noiceFreq 3
animationManager.noiceAmplitude 0.002
rem animationSystem.createAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_idle1.baf
rem animationManager.looping 0
rem animationManager.length 2.9583
rem animationSystem.createAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_idle2.baf
rem animationManager.looping 0
rem animationManager.length 2.33333
animationSystem.createAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_reload.baf
animationManager.looping 0
animationSystem.createAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_run.baf
animationManager.length 0.791667
animationSystem.createAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_sprint.baf
animationSystem.createAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_stand.baf
animationSystem.createAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_tozoom.baf
animationManager.looping 0
animationManager.length 0.083333
animationSystem.createAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_zoom_fire.baf
animationManager.looping 0
animationSystem.createAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_zoom_run.baf
animationSystem.createAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_zoom_stand.baf

rem *** Bundles ***
animationSystem.createBundle deploy
animationBundle.isLooping 0
animationBundle.fadeInTime 0.001
animationBundle.fadeOutTime 0.3
animationBundle.addAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_deploy.baf

animationSystem.createBundle fire
animationBundle.isLooping 0
animationBundle.abruptPlayback 1
animationBundle.fadeInTime 0.001
animationBundle.addAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_fire.baf

rem animationSystem.createBundle idle1
rem animationBundle.isLooping 0
rem animationBundle.fadeInTime 0.1
rem animationBundle.fadeOutTime 0.2
rem animationBundle.addAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_idle1.baf

rem animationSystem.createBundle idle2
rem animationBundle.isLooping 0
rem animationBundle.fadeOutTime 0.2
rem animationBundle.addAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_idle2.baf

animationSystem.createBundle reload
animationBundle.isLooping 0
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_reload.baf

animationSystem.createBundle run
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_run.baf

animationSystem.createBundle sprint
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_sprint.baf

animationSystem.createBundle still
animationBundle.addAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_stand.baf

animationSystem.createBundle zoom_fire
animationBundle.isLooping 0
animationBundle.abruptPlayback 1
animationBundle.fadeInTime 0.001
animationBundle.addAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_zoom_fire.baf

animationSystem.createBundle zoom_run
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_zoom_run.baf

animationSystem.createBundle zoom_still
animationBundle.addAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_zoom_stand.baf

animationSystem.createBundle zoomTransition
animationBundle.isLooping 0
animationBundle.fadeInTime 0
animationBundle.fadeOutTime 0
animationBundle.addAnimation Objects/Weapons/Handheld/usaa_fm92a/Animations/1p/1p_rpg_tozoom.baf


rem *** Triggers ***
animationSystem.createTrigger Trigger zoom_still
animationTrigger.addBundle zoom_still

animationSystem.createTrigger MovementTrigger zoom_move
animationTrigger.addBundle zoom_run
animationTrigger.valueHolder 1p_zoom_move

animationSystem.createTrigger MessageTrigger zoom_fire
animationTrigger.addBundle zoom_fire
animationTrigger.message 1

animationSystem.createTrigger Trigger zoom
animationTrigger.addChild zoom_still
animationTrigger.addChild zoom_move
animationTrigger.addChild zoom_fire

rem animationSystem.createTrigger RandomTrigger rnd_idle
rem animationTrigger.addBundle idle1
rem animationTrigger.addBundle idle2

rem animationSystem.createTrigger IdleTrigger idle
rem animationTrigger.addChild rnd_idle
rem animationTrigger.idleTime 5/15

rem animationSystem.createTrigger Trigger still
rem animationTrigger.addChild idle
rem animationTrigger.addBundle still

animationSystem.createTrigger MovementTrigger move
animationTrigger.addBundle run
animationTrigger.valueHolder 1p_move

animationSystem.createTrigger MovementTrigger sprint
animationTrigger.addBundle sprint
animationTrigger.valueHolder 1p_sprint

animationSystem.createTrigger MessageTrigger fire
animationTrigger.addBundle fire
animationTrigger.message 1

animationSystem.createTrigger MessageTrigger reload
animationTrigger.addBundle reload
animationTrigger.message 2

animationSystem.createTrigger Trigger normal
rem animationTrigger.addChild still
animationTrigger.addChild move
animationTrigger.addChild sprint
animationTrigger.addChild fire
animationTrigger.addChild reload

animationSystem.createTrigger SwitchMessageTrigger root
animationTrigger.addChild zoom
animationTrigger.addChild normal
animationTrigger.addBundle zoomTransition
animationTrigger.message 4

animationSystem.createTrigger Trigger startup
animationTrigger.addBundle deploy

animationSystem.createTrigger Trigger completeTree
animationTrigger.addChild root
animationTrigger.addChild startup

