animationSystem.cameraSpring.use 1
animationSystem.cameraSpring.amplitude 0.02/0.02/0.02
animationSystem.cameraSpring.zoomDamping 10/10/1
animationSystem.cameraSpring.stiffness 10/10/10
animationSystem.cameraSpring.move 2.5/2.5/2.5
animationSystem.cameraSpring.look 1/1
animationSystem.cameraSpring.fire 0/0/10

rem *** Animations ***
animationSystem.createAnimation Objects/Weapons/Handheld/rulmg_rpk74/animations/1p/1p_rpk74_to_zoom.baf
animationManager.looping 0
animationManager.length 0.083333
animationSystem.createAnimation Objects/Weapons/Handheld/RULMG_rpk74/Animations/1p/1p_rpk74_zoom_fire.baf
animationSystem.createAnimation Objects/Weapons/Handheld/RULMG_rpk74/Animations/1p/1p_rpk74_zoom_run.baf
animationManager.length 1.83333
animationSystem.createAnimation Objects/Weapons/Handheld/RULMG_rpk74/Animations/1p/1p_rpk74_zoom_stand.baf
animationSystem.createAnimation Objects/weapons/handheld/k98/Animations/1p/BG2_1P_K98_Deploy.baf
animationManager.length 0.75
animationSystem.createAnimation Objects/weapons/handheld/k98/Animations/1p/BG2_1P_K98_Fire_Stage1.baf
animationManager.length 0.5
animationSystem.createAnimation Objects/weapons/handheld/k98/Animations/1p/BG2_1P_K98_Fire_Stage2.baf
animationManager.length 1.65
animationSystem.createAnimation Objects/weapons/handheld/k98/Animations/1p/BG2_1P_K98_Reload.baf
animationManager.length 4.2
animationSystem.createAnimation Objects/weapons/handheld/k98/Animations/1p/BG2_1P_K98_Run.baf
animationSystem.createAnimation Objects/weapons/handheld/k98/Animations/1p/BG2_1P_K98_Sprint.baf
animationSystem.createAnimation Objects/Weapons/Handheld/k98/Animations/1p/BG2_1P_K98_Stand.baf
animationManager.length 2
animationSystem.createAnimation Objects/weapons/handheld/k98/Animations/1p/BG2_1P_K98_TurnLeft.baf
animationSystem.createAnimation Objects/weapons/handheld/k98/Animations/1p/BG2_1P_K98_TurnRight.baf

rem *** Bundles ***
animationSystem.createBundle deploy
animationBundle.isLooping 0
animationBundle.fadeInTime 0
animationBundle.fadeOutTime 0.4
animationBundle.addAnimation Objects/weapons/handheld/k98/Animations/1p/BG2_1P_K98_Deploy.baf

animationSystem.createBundle fire
animationBundle.isLooping 0
animationBundle.fadeInTime 0.001
animationBundle.addAnimation Objects/weapons/handheld/k98/Animations/1p/BG2_1P_K98_Fire_Stage1.baf

animationSystem.createBundle rebolt
animationBundle.isLooping 0
animationBundle.fadeInTime 0.1
animationBundle.addAnimation Objects/weapons/handheld/k98/Animations/1p/BG2_1P_K98_Fire_Stage2.baf

animationSystem.createBundle reload
animationBundle.isLooping 0
animationBundle.fadeOutTime 0.45
animationBundle.addAnimation Objects/weapons/handheld/k98/Animations/1p/BG2_1P_K98_Reload.baf

animationSystem.createBundle run
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/weapons/handheld/k98/Animations/1p/BG2_1P_K98_Run.baf

animationSystem.createBundle sprint
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/weapons/handheld/k98/Animations/1p/BG2_1P_K98_Sprint.baf

animationSystem.createBundle still
animationBundle.addAnimation Objects/Weapons/Handheld/k98/Animations/1p/BG2_1P_K98_Stand.baf

animationSystem.createBundle turn_left
animationBundle.fadeOutTime 0.5
animationBundle.useSpeedAsTime 1
animationBundle.addAnimation Objects/weapons/handheld/k98/Animations/1p/BG2_1P_K98_TurnLeft.baf

animationSystem.createBundle turn_right
animationBundle.fadeOutTime 0.5
animationBundle.useSpeedAsTime 1
animationBundle.addAnimation Objects/weapons/handheld/k98/Animations/1p/BG2_1P_K98_TurnRight.baf

animationSystem.createBundle zoom_fire
animationBundle.isLooping 0
animationBundle.fadeInTime 0.001
animationBundle.addAnimation Objects/Weapons/Handheld/RULMG_rpk74/Animations/1p/1p_rpk74_zoom_fire.baf

animationSystem.createBundle zoom_run
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/Handheld/RULMG_rpk74/Animations/1p/1p_rpk74_zoom_run.baf

animationSystem.createBundle zoom_still
animationBundle.addAnimation Objects/Weapons/Handheld/RULMG_rpk74/Animations/1p/1p_rpk74_zoom_stand.baf

animationSystem.createBundle zoomtransition
animationBundle.isLooping 0
animationBundle.fadeInTime 0
animationBundle.fadeOutTime 0
animationBundle.addAnimation Objects/Weapons/Handheld/rulmg_rpk74/animations/1p/1p_rpk74_to_zoom.baf


rem *** Triggers ***
animationSystem.createTrigger Trigger zoom_still
animationTrigger.addBundle zoom_still

animationSystem.createTrigger MovementTrigger zoom_move
animationTrigger.addBundle zoom_run
animationTrigger.valueHolder 1p_zoom_move

animationSystem.createTrigger MessageTrigger zoom_fire
animationTrigger.addBundle zoom_fire
animationTrigger.message 1

animationSystem.createTrigger Trigger zoom
animationTrigger.addChild zoom_still
animationTrigger.addChild zoom_move
animationTrigger.addChild zoom_fire

animationSystem.createTrigger TurnTrigger turn_left
animationTrigger.fadeInTime 0.001
animationTrigger.addBundle turn_left
animationTrigger.valueHolder 1p_turn
animationTrigger.triggerOnAcceleration 1

animationSystem.createTrigger TurnTrigger turn_right
animationTrigger.fadeInTime 0.001
animationTrigger.addBundle turn_right
animationTrigger.valueHolder 1p_turnRight
animationTrigger.triggerOnAcceleration 1

animationSystem.createTrigger Trigger still
animationTrigger.addChild turn_left
animationTrigger.addChild turn_right
animationTrigger.addBundle still

animationSystem.createTrigger MovementTrigger move
animationTrigger.addBundle run
animationTrigger.valueHolder 1p_move

animationSystem.createTrigger MovementTrigger sprint
animationTrigger.addBundle sprint
animationTrigger.valueHolder 1p_sprint

animationSystem.createTrigger MessageTrigger fire
animationTrigger.addBundle fire
animationTrigger.message 1

animationSystem.createTrigger MessageTrigger rebolt
animationTrigger.addBundle rebolt
animationTrigger.message 32

animationSystem.createTrigger MessageTrigger reload
animationTrigger.addBundle reload
animationTrigger.message 2

animationSystem.createTrigger Trigger normal
animationTrigger.addChild still
animationTrigger.addChild move
animationTrigger.addChild sprint
animationTrigger.addChild fire
animationTrigger.addChild rebolt
animationTrigger.addChild reload

animationSystem.createTrigger SwitchMessageTrigger root
animationTrigger.addChild zoom
animationTrigger.addChild normal
animationTrigger.addBundle zoomtransition
animationTrigger.message 4

animationSystem.createTrigger Trigger startup
animationTrigger.addBundle deploy

animationSystem.createTrigger Trigger completeTree
animationTrigger.addChild root
animationTrigger.addChild startup

