animationSystem.cameraSpring.use 1
animationSystem.cameraSpring.amplitude 0.02/0.02/0.02
animationSystem.cameraSpring.zoomDamping 10/10/1
animationSystem.cameraSpring.stiffness 10/10/10
animationSystem.cameraSpring.move 2.5/2.5/2.5
animationSystem.cameraSpring.look 1/1
animationSystem.cameraSpring.fire 0/0/10

rem *** Animations ***
rem animationSystem.createAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_deploy.baf
rem animationManager.looping 0
rem animationManager.length 2.08333
animationSystem.createAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_fire.baf
animationManager.looping 0
animationManager.length 0.541667
animationSystem.createAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_idle1.baf
animationManager.looping 0
animationManager.length 2.08333
animationSystem.createAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_idle2.baf
animationManager.looping 0
animationSystem.createAnimation Objects/Weapons/Handheld/usrif_m24/Animations/1p/1p_m24_load.baf
animationManager.looping 0
animationSystem.createAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_reload.baf
animationManager.looping 0
animationSystem.createAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_run.baf
animationManager.length 0.666667
animationSystem.createAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_sprint.baf
animationSystem.createAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_stand.baf
animationSystem.createAnimation Objects/Weapons/Handheld/usrif_m24/Animations/1p/1p_m24_tozoom.baf
animationManager.looping 0
animationManager.length 0.125
animationSystem.createAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_zoom_fire.baf
animationManager.looping 0
animationSystem.createAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_zoom_run.baf
animationManager.length 1.83333
animationSystem.createAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_zoom_stand.baf

rem *** Bundles ***
rem animationSystem.createBundle deploy
rem animationBundle.isLooping 0
rem animationBundle.fadeInTime 0.001
rem animationBundle.fadeOutTime 0.3
rem animationBundle.addAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_deploy.baf

animationSystem.createBundle fire
animationBundle.isLooping 0
animationBundle.fadeInTime 0.001
animationBundle.addAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_fire.baf

animationSystem.createBundle idle1
animationBundle.isLooping 0
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_idle1.baf

animationSystem.createBundle idle2
animationBundle.isLooping 0
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_idle2.baf

animationSystem.createBundle reload
animationBundle.isLooping 0
animationBundle.fadeInTime 0.1
animationBundle.fadeOutTime 0.3
animationBundle.addAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_reload.baf
animationBundle.addEvent effect:0
animationBundle.setEventStartTime effect:0 0.791667

animationSystem.createBundle run
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_run.baf

animationSystem.createBundle shift
animationBundle.isLooping 0
animationBundle.fadeInTime 0.1
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/Handheld/usrif_m24/Animations/1p/1p_m24_load.baf
animationBundle.addEvent effect:0
animationBundle.setEventStartTime effect:0 0.75

animationSystem.createBundle sprint
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_sprint.baf

animationSystem.createBundle still
animationBundle.fadeInTime 0.05
animationBundle.addAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_stand.baf

animationSystem.createBundle zoom_fire
animationBundle.isLooping 0
animationBundle.abruptPlayback 1
animationBundle.fadeInTime 0.001
animationBundle.fadeOutTime 0
animationBundle.addAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_zoom_fire.baf

animationSystem.createBundle zoom_run
animationBundle.fadeOutTime 0.2
animationBundle.addAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_zoom_run.baf

animationSystem.createBundle zoom_still
animationBundle.addAnimation Objects/Weapons/Handheld/USRIF_m24/Animations/1p/1p_m24_zoom_stand.baf

animationSystem.createBundle zoomTransition
animationBundle.isLooping 0
animationBundle.fadeInTime 0
animationBundle.fadeOutTime 0
animationBundle.addAnimation Objects/Weapons/Handheld/usrif_m24/Animations/1p/1p_m24_tozoom.baf


rem *** Triggers ***
animationSystem.createTrigger Trigger zoom_still
animationTrigger.addBundle zoom_still

animationSystem.createTrigger MovementTrigger zoom_move
animationTrigger.addBundle zoom_run
animationTrigger.valueHolder 1p_zoom_move

animationSystem.createTrigger MessageTrigger zoom_fire
animationTrigger.addBundle zoom_fire
animationTrigger.message 1

animationSystem.createTrigger Trigger zoom
animationTrigger.addChild zoom_still
animationTrigger.addChild zoom_move
animationTrigger.addChild zoom_fire

animationSystem.createTrigger RandomTrigger rnd_idle
animationTrigger.addBundle idle1
animationTrigger.addBundle idle2

animationSystem.createTrigger IdleTrigger idle
animationTrigger.addChild rnd_idle
animationTrigger.idleTime 5/15

animationSystem.createTrigger Trigger still
animationTrigger.addChild idle
animationTrigger.addBundle still

animationSystem.createTrigger MovementTrigger move
animationTrigger.addBundle run
animationTrigger.valueHolder 1p_move

animationSystem.createTrigger MovementTrigger sprint
animationTrigger.addBundle sprint
animationTrigger.valueHolder 1p_sprint

animationSystem.createTrigger MessageTrigger fire
animationTrigger.addBundle fire
animationTrigger.message 1

animationSystem.createTrigger MessageTrigger reload
animationTrigger.addBundle reload
animationTrigger.message 2

animationSystem.createTrigger MessageTrigger shift
animationTrigger.addBundle shift
animationTrigger.message 32

animationSystem.createTrigger Trigger normal
animationTrigger.addChild still
animationTrigger.addChild move
animationTrigger.addChild sprint
animationTrigger.addChild fire
animationTrigger.addChild reload
animationTrigger.addChild shift

animationSystem.createTrigger SwitchMessageTrigger root
animationTrigger.addChild zoom
animationTrigger.addChild normal
animationTrigger.addBundle zoomTransition
animationTrigger.message 4

animationSystem.createTrigger Trigger startup
animationTrigger.addBundle deploy

animationSystem.createTrigger Trigger completeTree
animationTrigger.addChild root
animationTrigger.addChild startup

